C DRIVER (MAIN PROGRAM) FOR CALCULATIONS OF FLUXES AND AVERAGE INTENSITIES
C IN THIS EXAMPLE THERMAL EMISSION IS NOT USED

c twostr i/o specifications **
c
      PARAMETER ( maxcly = 8, maxulv = maxcly+1, nerr=22 )
      CHARACTER  header*127
      LOGICAL  deltam, planck, prnt(2), quiet, spher, usrtau 
      INTEGER  ierror(nerr), nlyr, ntau
      REAL albedo, btemp, dtauc(maxcly), fbeam, fisot, gg(maxcly),
     $     ssalb(maxcly), radius, temis, temper(0:maxcly), ttemp, 
     $     wvnmhi, wvnmlo, umu0, utau(maxulv), zd(0:maxcly)
c
      REAL dfdt(maxulv), flup(maxulv), rfldir(maxulv),
     $     rfldn(maxulv), uavg(maxulv)



      prnt(1)  = .TRUE. !PRINT OUT INPUT VARIABLES
      prnt(2)  = .TRUE. !PRINT OUT OUTPUT (E.G. FLUXES, AVERAGE INTENSITIES)

      albedo = 0.0     !GROUND ALBEDO, Lambertian. (MUST BE GE 0 AND LE 1.0)
      spher = .false.  !IF FALSE, ASSUMES PLANE PARALLEL ATMOSPHERE
      deltam = .true.


      fbeam = 1.0       !solar flux at top of atmosphere
      fisot = 0.0       !isotropic illumination at the top of the atmosphere
      umu0 = 0.5        !polar angle cosine of incident beam

C the atmosphere below is for a two layer atmosphere

      nlyr = 2         !number of layers in the atmosphere, count from top
      gg(1) = 0.7      !asymmetry factor for layer 1
      gg(2) = 0.9
      ssalb(1) = 0.2   !single scattering albedo for layer 1
      ssalb(2) = 0.8
      dtauc(1) = 0.5   !optical thickness in layer 1
      dtauc(2) = 0.3

      planck = .false. ! DO NOT INCLUDE THERMAL EMISSION


c if usrtau=.true. then the user must specify output levels
c if usrtau=.false. then output at top, bottom and all layer interfaces.
       usrtau=.true.
      ntau=1         !# user output levels
      utau(1) = 1.0  ! user specified output level

C BELOW INCLUDE THERMAL EMISSION

c     need to specify temperature at all LEVELS (not layer interfaces)

      temper(0) = 200.0 !Units Kelvin
      temper(1) = 300.0

      ttemp = 200.0   !temperature at top of atmosphere
      btemp = 300.0   !temperature at bottom (surface)

      temis = 1.0     ! top emissivity (top of the atmosphere)

C     the planck function is integrated from wavenumber 'wvnmlo'
C     to 'wvnmhi'. Wavenumber is here 1/lambda (Unit 1/cm )

      
      wvnmlo = 400.
      wvnmhi = 1200.
      planck = .false. !if .true. include thermal radiation (internal source)

    

     
     

      


         CALL twostr( albedo, btemp, deltam, dtauc, fbeam, fisot,
     $        gg, header, ierror, maxcly, maxulv, nlyr, planck,
     $        ntau, prnt, quiet, radius, spher, ssalb, temis,  
     $        temper, ttemp, umu0,  usrtau, utau, wvnmlo,
     $        wvnmhi, zd, dfdt, flup, rfldir, rfldn, uavg )




         end
